Bug 458977 (CVE-2008-3283) - CVE-2008-3283 Directory Server: multiple memory leaks
Summary: CVE-2008-3283 Directory Server: multiple memory leaks
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-3283
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 458506 458510 458666 458668 458675 458677 458692 458693
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-13 15:22 UTC by Tomas Hoger
Modified: 2019-09-29 12:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-23 22:02:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0596 normal SHIPPED_LIVE Critical: Red Hat Directory Server 7.1 Service Pack 7 security update 2008-08-27 20:41:43 UTC
Red Hat Product Errata RHSA-2008:0602 normal SHIPPED_LIVE Moderate: redhat-ds-base and redhat-ds-admin security and bug fix update 2008-08-27 20:38:30 UTC
Red Hat Product Errata RHSA-2008:0858 normal SHIPPED_LIVE Moderate: redhat-ds-base security and bug fix update 2008-09-10 17:59:57 UTC

Description Tomas Hoger 2008-08-13 15:22:19 UTC
Richard Megginson identified multiple memory leaks affecting Red Hat Directory Server and Fedora Directory Server.  These issues may possibly be triggered by unauthenticated remote attackers with access to LDAP port.  An attacker can cause Directory Server to use excessive amount of memory, and possibly crash or terminate unexpectedly when running out of available memory.  Memory leaks that can be triggered by an anonymous user occur during authentication / bind phase, or in (anonymous) LDAP search requests.

Affected version:
Red Hat Directory Server 7.1, 8.0
Fedora Directory Server 1.1.1 and earlier

Comment 1 Tomas Hoger 2008-08-13 15:24:11 UTC
See the dependency tree for bugs related to the individual issues.

Comment 3 Tomas Hoger 2008-08-27 20:18:55 UTC
Lifting embargo.

Comment 4 Yi Zhang 2008-09-02 22:04:55 UTC
bug has been verified during last RHDS errata release. No additional test necessary in IPA errata release.

Comment 5 Fedora Update System 2008-09-11 16:57:58 UTC
fedora-ds-base-1.1.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2008-09-11 17:04:56 UTC
fedora-ds-base-1.1.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Vincent Danen 2010-12-23 22:02:52 UTC
This was addressed via:

Red Hat Directory Server 7.1 (for AS v. 3) (RHSA-2008:0596)
Red Hat Directory Server 8.0 (for AS v. 4) (RHSA-2008:0602)
Red Hat Directory Server 8 (for RHEL 5 Server) (RHSA-2008:0602)
Red Hat IPA 1 for RHEL 5 Server (RHSA-2008:0858


Note You need to log in before you can comment on or make changes to this bug.